# Uses of Interface
org.opensaml.xacml.policy.ResourcesType

Packages that use ResourcesType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of ResourcesType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return ResourcesType
Modifier and Type
Method
Description
`ResourcesType`
TargetType.`getResources()`
Gets the resources of this target.
Methods in org.opensaml.xacml.policy with parameters of type ResourcesType
Modifier and Type
Method
Description
`void`
TargetType.`setResources(ResourcesType resources)`
Sets the resources in the target.

## Uses of ResourcesType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement ResourcesType
Modifier and Type
Class
Description
`class`
`ResourcesTypeImpl`
Implementation of `ResourcesType`.
Fields in org.opensaml.xacml.policy.impl declared as ResourcesType
Modifier and Type
Field
Description
`private ResourcesType`
TargetTypeImpl.`resources`
The resourcese in the policy.
Methods in org.opensaml.xacml.policy.impl that return ResourcesType
Modifier and Type
Method
Description
`ResourcesType`
ResourcesTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`ResourcesType`
ResourcesTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`ResourcesType`
TargetTypeImpl.`getResources()`
Gets the resources of this target.
Methods in org.opensaml.xacml.policy.impl with parameters of type ResourcesType
Modifier and Type
Method
Description
`void`
TargetTypeImpl.`setResources(ResourcesType newResources)`
Sets the resources in the target.